package com.dsk.flink.dsc.utils;

import java.util.Properties;

/**
 * @Description:
 * @author zhaowei 2022年10月9日
 */
public class EnvProperties extends Properties {


	String env;
	// #连接
	String db_url;

	// #建设库TIDB库
	String db_host;
	String db_port;
	String db_username;
	String db_password;
	String tidb_pd_addresses;
	String db_database;
	String kafka_brokers;
	String kafka_topic;

	String kafka_username;

	String kafka_password;

	String st_kafka_brokers;

	//公共组件tidb
	String tidb_plugin_host;
	String tidb_plugin_port;
	String tidb_plugin_username;
	String tidb_plugin_password;
	String tidb_plugin_pd_addresses;

	// #建设库RDS用户库
	String rds_jsk_host;
	String rds_jsk_port;
	String rds_jsk_username;
	String rds_jsk_password;

	// #建设库RDSData库
	String rds_jsk_data_host;
	String rds_jsk_data_port;
	String rds_jsk_data_username;
	String rds_jsk_data_password;

	// #Open库
	String rds_jsk_open_host;
	String rds_jsk_open_port;
	String rds_jsk_open_username;
	String rds_jsk_open_password;

	// #CRM库
	String rds_dsk_crm_host;
	String rds_dsk_crm_port;
	String rds_dsk_crm_username;
	String rds_dsk_crm_password;

	// #采集部同步库
	String rds_cjb_source_host;
	String rds_cjb_source_port;
	String rds_cjb_source_username;
	String rds_cjb_source_password;

	// #采集部下推库
	String rds_cjb_sink_host;
	String rds_cjb_sink_port;
	String rds_cjb_sink_username;
	String rds_cjb_sink_password;

	// #建设库ES
	String es_jsk_host;
	String es_jsk_port;
	String es_jsk_username;
	String es_jsk_password;

	// #企业ES
	String es_com_hosts;
	String es_com_user_name;
	String es_com_password;

	String es_bulk_flush_max_actions;

	String es_bulk_flush_max_size_mb;

	String es_bulk_flush_interval;

	// redis运行模式
	String redis_active;

	// #Redis集群=
	String cluster_redis_host;
	String cluster_redis_password;

	// #Redis单机
	String standalone_redis_host;
	String standalone_redis_port;
	String standalone_redis_password;

	// #线程池
	String thread_pool_threads;

	//数据库连接池
	String datasource_max_active;
	String datasource_initial_active;
	String datasource_max_wait;

	//solr
	String solr_urls;
	String solr_zk_hosts;

	String logical_delete;

	String log_enable;

	public String getLog_enable() {
		return logical_delete == null ? this.getProperty("logical_delete") : logical_delete;
	}

	public void setLog_enable(String log_enable) {
		this.log_enable = log_enable;
	}

	public String getLogical_delete() {
		return logical_delete == null ? this.getProperty("logical_delete") : logical_delete;
	}

	public void setLogical_delete(String logical_delete) {
		this.logical_delete = logical_delete;
	}

	public String getEnv() {
		return env == null ? this.getProperty("env") : env;
	}

	public void setEnv(String env) {
		this.env = env;
	}

	public String getDb_url() {
		return db_url == null ? this.getProperty("db_url") : db_url;
	}
	public void setDb_url(String db_url) {
		this.db_url = db_url;
	}
	public String getDb_host() {
		return db_host == null ? this.getProperty("db_host") : db_host;
	}
	public void setDb_host(String db_host) {
		this.db_host = db_host;
	}
	public String getDb_port() {
		return db_port == null ? this.getProperty("db_port") : db_port;
	}
	public void setDb_port(String db_port) {
		this.db_port = db_port;
	}
	public String getDb_username() {
		return db_username == null ? this.getProperty("db_username") : db_username;
	}
	public void setDb_username(String db_username) {
		this.db_username = db_username;
	}
	public String getDb_password() {
		return db_password == null ? this.getProperty("db_password") : db_password;
	}
	public void setDb_password(String db_password) {
		this.db_password = db_password;
	}
	public String getTidb_pd_addresses() {
		return tidb_pd_addresses == null ? this.getProperty("tidb_pd_addresses") : tidb_pd_addresses;
	}
	public void setTidb_pd_addresses(String tidb_pd_addresses) {
		this.tidb_pd_addresses = tidb_pd_addresses;
	}

	public String getDb_database() {
		return db_database == null ? this.getProperty("db_database") : db_database;
	}

	public void setDb_database(String db_database) {
		this.db_database = db_database;
	}

	public String getKafka_brokers() {
		return kafka_brokers == null ? this.getProperty("kafka_brokers") : kafka_brokers;
	}
	public void setKafka_brokers(String kafka_brokers) {
		this.kafka_brokers = kafka_brokers;
	}

	public String getKafka_username() {
		return kafka_username == null ? this.getProperty("kafka_username") : kafka_username;
	}

	public void setKafka_username(String kafka_username) {
		this.kafka_username = kafka_username;
	}

	public String getKafka_password() {
		return kafka_password == null ? this.getProperty("kafka_password") : kafka_password;
	}

	public void setKafka_password(String kafka_password) {
		this.kafka_password = kafka_password;
	}

	public String getSt_kafka_brokers() {
		return st_kafka_brokers == null ? this.getProperty("st_kafka_brokers") : st_kafka_brokers;
	}
	public void setSt_kafka_brokers(String st_kafka_brokers) {
		this.st_kafka_brokers = st_kafka_brokers;
	}
	public String getRds_jsk_host() {
		return rds_jsk_host == null ? this.getProperty("rds_jsk_host") : rds_jsk_host;
	}
	public void setRds_jsk_host(String rds_jsk_host) {
		this.rds_jsk_host = rds_jsk_host;
	}
	public String getRds_jsk_port() {
		return rds_jsk_port == null ? this.getProperty("rds_jsk_port") : rds_jsk_port;
	}
	public void setRds_jsk_port(String rds_jsk_port) {
		this.rds_jsk_port = rds_jsk_port;
	}
	public String getRds_jsk_username() {
		return rds_jsk_username == null ? this.getProperty("rds_jsk_username") : rds_jsk_username;
	}
	public void setRds_jsk_username(String rds_jsk_username) {
		this.rds_jsk_username = rds_jsk_username;
	}
	public String getRds_jsk_password() {
		return rds_jsk_password == null ? this.getProperty("rds_jsk_password") : rds_jsk_password;
	}
	public void setRds_jsk_password(String rds_jsk_password) {
		this.rds_jsk_password = rds_jsk_password;
	}
	public String getRds_jsk_data_host() {
		return rds_jsk_data_host == null ? this.getProperty("rds_jsk_data_host") : rds_jsk_data_host;
	}
	public void setRds_jsk_data_host(String rds_jsk_data_host) {
		this.rds_jsk_data_host = rds_jsk_data_host;
	}
	public String getRds_jsk_data_port() {
		return rds_jsk_data_port == null ? this.getProperty("rds_jsk_data_port") : rds_jsk_data_port;
	}
	public void setRds_jsk_data_port(String rds_jsk_data_port) {
		this.rds_jsk_data_port = rds_jsk_data_port;
	}
	public String getRds_jsk_data_username() {
		return rds_jsk_data_username == null ? this.getProperty("rds_jsk_data_username") : rds_jsk_data_username;
	}
	public void setRds_jsk_data_username(String rds_jsk_data_username) {
		this.rds_jsk_data_username = rds_jsk_data_username;
	}
	public String getRds_jsk_data_password() {
		return rds_jsk_data_password == null ? this.getProperty("rds_jsk_data_password") : rds_jsk_data_password;
	}
	public void setRds_jsk_data_password(String rds_jsk_data_password) {
		this.rds_jsk_data_password = rds_jsk_data_password;
	}
	public String getRds_jsk_open_host() {
		return rds_jsk_open_host == null ? this.getProperty("rds_jsk_open_host") : rds_jsk_open_host;
	}
	public void setRds_jsk_open_host(String rds_jsk_open_host) {
		this.rds_jsk_open_host = rds_jsk_open_host;
	}
	public String getRds_jsk_open_port() {
		return rds_jsk_open_port == null ? this.getProperty("rds_jsk_open_port") : rds_jsk_open_port;
	}
	public void setRds_jsk_open_port(String rds_jsk_open_port) {
		this.rds_jsk_open_port = rds_jsk_open_port;
	}
	public String getRds_jsk_open_username() {
		return rds_jsk_open_username == null ? this.getProperty("rds_jsk_open_username") : rds_jsk_open_username;
	}
	public void setRds_jsk_open_username(String rds_jsk_open_username) {
		this.rds_jsk_open_username = rds_jsk_open_username;
	}
	public String getRds_jsk_open_password() {
		return rds_jsk_open_password == null ? this.getProperty("rds_jsk_open_password") : rds_jsk_open_password;
	}
	public void setRds_jsk_open_password(String rds_jsk_open_password) {
		this.rds_jsk_open_password = rds_jsk_open_password;
	}
	public String getRds_dsk_crm_host() {
		return rds_dsk_crm_host == null ? this.getProperty("rds_dsk_crm_host") : rds_dsk_crm_host;
	}
	public void setRds_dsk_crm_host(String rds_dsk_crm_host) {
		this.rds_dsk_crm_host = rds_dsk_crm_host;
	}
	public String getRds_dsk_crm_port() {
		return rds_dsk_crm_port == null ? this.getProperty("rds_dsk_crm_port") : rds_dsk_crm_port;
	}
	public void setRds_dsk_crm_port(String rds_dsk_crm_port) {
		this.rds_dsk_crm_port = rds_dsk_crm_port;
	}
	public String getRds_dsk_crm_username() {
		return rds_dsk_crm_username == null ? this.getProperty("rds_dsk_crm_username") : rds_dsk_crm_username;
	}
	public void setRds_dsk_crm_username(String rds_dsk_crm_username) {
		this.rds_dsk_crm_username = rds_dsk_crm_username;
	}
	public String getRds_dsk_crm_password() {
		return rds_dsk_crm_password == null ? this.getProperty("rds_dsk_crm_password") : rds_dsk_crm_password;
	}
	public void setRds_dsk_crm_password(String rds_dsk_crm_password) {
		this.rds_dsk_crm_password = rds_dsk_crm_password;
	}
	public String getRds_cjb_source_host() {
		return rds_cjb_source_host == null ? this.getProperty("rds_cjb_source_host") : rds_cjb_source_host;
	}
	public void setRds_cjb_source_host(String rds_cjb_source_host) {
		this.rds_cjb_source_host = rds_cjb_source_host;
	}
	public String getRds_cjb_source_port() {
		return rds_cjb_source_port == null ? this.getProperty("rds_cjb_source_port") : rds_cjb_source_port;
	}
	public void setRds_cjb_source_port(String rds_cjb_source_port) {
		this.rds_cjb_source_port = rds_cjb_source_port;
	}
	public String getRds_cjb_source_username() {
		return rds_cjb_source_username == null ? this.getProperty("rds_cjb_source_username") : rds_cjb_source_username;
	}
	public void setRds_cjb_source_username(String rds_cjb_source_username) {
		this.rds_cjb_source_username = rds_cjb_source_username;
	}
	public String getRds_cjb_source_password() {
		return rds_cjb_source_password == null ? this.getProperty("rds_cjb_source_password") : rds_cjb_source_password;
	}
	public void setRds_cjb_source_password(String rds_cjb_source_password) {
		this.rds_cjb_source_password = rds_cjb_source_password;
	}
	public String getRds_cjb_sink_host() {
		return rds_cjb_sink_host == null ? this.getProperty("rds_cjb_sink_host") : rds_cjb_sink_host;
	}
	public void setRds_cjb_sink_host(String rds_cjb_sink_host) {
		this.rds_cjb_sink_host = rds_cjb_sink_host;
	}
	public String getRds_cjb_sink_port() {
		return rds_cjb_sink_port == null ? this.getProperty("rds_cjb_sink_port") : rds_cjb_sink_port;
	}
	public void setRds_cjb_sink_port(String rds_cjb_sink_port) {
		this.rds_cjb_sink_port = rds_cjb_sink_port;
	}
	public String getRds_cjb_sink_username() {
		return rds_cjb_sink_username == null ? this.getProperty("rds_cjb_sink_username") : rds_cjb_sink_username;
	}
	public void setRds_cjb_sink_username(String rds_cjb_sink_username) {
		this.rds_cjb_sink_username = rds_cjb_sink_username;
	}
	public String getRds_cjb_sink_password() {
		return rds_cjb_sink_password == null ? this.getProperty("rds_cjb_sink_password") : rds_cjb_sink_password;
	}
	public void setRds_cjb_sink_password(String rds_cjb_sink_password) {
		this.rds_cjb_sink_password = rds_cjb_sink_password;
	}
	public String getEs_jsk_host() {
		return es_jsk_host == null ? this.getProperty("es_jsk_host") : es_jsk_host;
	}
	public void setEs_jsk_host(String es_jsk_host) {
		this.es_jsk_host = es_jsk_host;
	}
	public String getEs_jsk_port() {
		return es_jsk_port == null ? this.getProperty("es_jsk_port") : es_jsk_port;
	}
	public void setEs_jsk_port(String es_jsk_port) {
		this.es_jsk_port = es_jsk_port;
	}
	public String getEs_jsk_username() {
		return es_jsk_username == null ? this.getProperty("es_jsk_username") : es_jsk_username;
	}
	public void setEs_jsk_username(String es_jsk_username) {
		this.es_jsk_username = es_jsk_username;
	}
	public String getEs_jsk_password() {
		return es_jsk_password == null ? this.getProperty("es_jsk_password") : es_jsk_password;
	}
	public void setEs_jsk_password(String es_jsk_password) {
		this.es_jsk_password = es_jsk_password;
	}
	public String getEs_com_hosts() {
		return es_com_hosts == null ? this.getProperty("es_com_hosts") : es_com_hosts;
	}
	public void setEs_com_hosts(String es_com_hosts) {
		this.es_com_hosts = es_com_hosts;
	}


	public String getEs_com_user_name() {
		return es_com_user_name == null ? this.getProperty("es_com_user_name") : es_com_user_name;
	}

	public void setEs_com_user_name(String es_com_user_name) {
		this.es_com_user_name = es_com_user_name;
	}

	public String getEs_com_password() {
		return es_com_password == null ? this.getProperty("es_com_password") : es_com_password;
	}

	public void setEs_com_password(String es_com_password) {
		this.es_com_password = es_com_password;
	}


	public String getEs_bulk_flush_max_actions() {
		return es_bulk_flush_max_actions == null ? this.getProperty("es_bulk_flush_max_actions") : es_bulk_flush_max_actions;
	}

	public void setEs_bulk_flush_max_actions(String es_bulk_flush_max_actions) {
		this.es_bulk_flush_max_actions = es_bulk_flush_max_actions;
	}

	public String getEs_bulk_flush_max_size_mb() {
		return es_bulk_flush_max_size_mb == null ? this.getProperty("es_bulk_flush_max_size_mb") : es_bulk_flush_max_size_mb;
	}

	public void setEs_bulk_flush_max_size_mb(String es_bulk_flush_max_size_mb) {
		this.es_bulk_flush_max_size_mb = es_bulk_flush_max_size_mb;
	}

	public String getEs_bulk_flush_interval() {
		return es_bulk_flush_interval == null ? this.getProperty("es_bulk_flush_interval") : es_bulk_flush_interval;
	}

	public void setEs_bulk_flush_interval(String es_bulk_flush_interval) {
		this.es_bulk_flush_interval = es_bulk_flush_interval;
	}

	public String getRedis_active() {
		return redis_active == null ? this.getProperty("redis_active") : redis_active;
	}
	public void setRedis_active(String redis_active) {
		this.redis_active = redis_active;
	}
	public String getCluster_redis_host() {
		return cluster_redis_host == null ? this.getProperty("cluster_redis_host") : cluster_redis_host;
	}
	public void setCluster_redis_host(String cluster_redis_host) {
		this.cluster_redis_host = cluster_redis_host;
	}
	public String getCluster_redis_password() {
		return cluster_redis_password == null ? this.getProperty("cluster_redis_password") : cluster_redis_password;
	}
	public void setCluster_redis_password(String cluster_redis_password) {
		this.cluster_redis_password = cluster_redis_password;
	}
	public String getStandalone_redis_host() {
		return standalone_redis_host == null ? this.getProperty("standalone_redis_host") : standalone_redis_host;
	}
	public void setStandalone_redis_host(String standalone_redis_host) {
		this.standalone_redis_host = standalone_redis_host;
	}
	public String getStandalone_redis_port() {
		return standalone_redis_port == null ? this.getProperty("standalone_redis_port") : standalone_redis_port;
	}
	public void setStandalone_redis_port(String standalone_redis_port) {
		this.standalone_redis_port = standalone_redis_port;
	}
	public String getStandalone_redis_password() {
		return standalone_redis_password == null ? this.getProperty("standalone_redis_password") : standalone_redis_password;
	}
	public void setStandalone_redis_password(String standalone_redis_password) {
		this.standalone_redis_password = standalone_redis_password;
	}

	public String getThread_pool_threads() {
		return thread_pool_threads == null ? this.getProperty("thread_pool_threads") : thread_pool_threads;
	}

	public void setThread_pool_threads(String thread_pool_threads) {
		this.thread_pool_threads = thread_pool_threads;
	}

	public String getDatasource_max_active() {
		return datasource_max_active == null ? this.getProperty("datasource_max_active") : datasource_max_active;
	}

	public void setDatasource_max_active(String datasource_max_active) {
		this.datasource_max_active = datasource_max_active;
	}

	public String getDatasource_initial_active() {
		return datasource_initial_active == null ? this.getProperty("datasource_initial_active") : datasource_initial_active;
	}

	public void setDatasource_initial_active(String datasource_initial_active) {
		this.datasource_initial_active = datasource_initial_active;
	}

	public String getDatasource_max_wait() {
		return datasource_max_wait == null ? this.getProperty("datasource_max_wait") : datasource_max_wait;
	}

	public void setDatasource_max_wait(String datasource_max_wait) {
		this.datasource_max_wait = datasource_max_wait;
	}

	/*public String getSolr_urls() {
		return solr_urls == null ? this.getProperty("solr_urls") : solr_urls;
	}

	public void setSolr_urls(String solr_urls) {
		this.solr_urls = solr_urls;
	}*/

	public String getSolr_zk_hosts() {
		return solr_zk_hosts == null ? this.getProperty("solr_zk_hosts") : solr_zk_hosts;
	}

	public void setSolr_zk_hosts(String solr_zk_hosts) {
		this.solr_urls = solr_zk_hosts;
	}

	public String getTidb_plugin_host() {
		return tidb_plugin_host == null ? this.getProperty("tidb_plugin_host") : tidb_plugin_host;
	}
	public void setTidb_plugin_host(String tidb_plugin_host) {
		this.tidb_plugin_host = tidb_plugin_host;
	}
	public String getTidb_plugin_port() {
		return tidb_plugin_port == null ? this.getProperty("tidb_plugin_port") : tidb_plugin_port;
	}
	public void setTidb_plugin_port(String tidb_plugin_port) {
		this.tidb_plugin_port = tidb_plugin_port;
	}
	public String getTidb_plugin_username() {
		return tidb_plugin_username == null ? this.getProperty("tidb_plugin_username") : tidb_plugin_username;
	}
	public void setTidb_plugin_username(String tidb_plugin_username) {
		this.tidb_plugin_username = tidb_plugin_username;
	}
	public String getTidb_plugin_password() {
		return tidb_plugin_password == null ? this.getProperty("tidb_plugin_password") : tidb_plugin_password;
	}
	public void setTidb_plugin_password(String tidb_plugin_password) {
		this.tidb_plugin_password = tidb_plugin_password;
	}
	public String getTidb_plugin_pd_addresses() {
		return tidb_plugin_pd_addresses == null ? this.getProperty("tidb_plugin_pd_addresses") : tidb_plugin_pd_addresses;
	}
	public void setTidb_plugin_pd_addresses(String tidb_plugin_pd_addresses) {
		this.tidb_plugin_pd_addresses = tidb_plugin_pd_addresses;
	}

	public String getKafka_topic() {
		return kafka_topic == null ? this.getProperty("kafka_topic") : kafka_topic;
	}

	public void setKafka_topic(String kafka_topic) {
		this.kafka_topic = kafka_topic;
	}
}
